
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>DBA生存警示：防范频发的数据误删除操作 / iVAN</title>

    <meta name="description" content="DBA生存警示：防范频发的数据误删除操作 编辑手记:对于资深的老DBA们,他们在漫长的职业生涯中养成了很多稀奇古怪的守则,以在复杂多变的环境中&quot;幸存&quot;,这源于无数血泪的教训,我曾经在&lt;数据安全警示录&gt;一书收录了大量现实案例,现在整理分享给大家,共为警示. 在数据库日常管理过程中,有些威胁来自数据库外部,而有些威胁则来自数据库内部,对于数据库外部,破坏性的操作有rm,而在数据库内部,同样有破坏性操作,如Truncate. 案例分享 误删除数据表 原来接手一个部门的所有数据库,结果漏了一个,也没人告诉我,所以 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">DBA生存警示：防范频发的数据误删除操作</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>编辑手记：对于资深的老DBA们，他们在漫长的职业生涯中养成了很多稀奇古怪的守则，以在复杂多变的环境中“幸存”，这源于无数血泪的教训，我曾经在《数据安全警示录》一书收录了大量现实案例，现在整理分享给大家，共为警示。</strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpei9iVVJQamdGcEdNU3RpY09lbFhmeUdidXI1c0l1Y3VwM1F2TUlubmFSdjdLMzBPM0N5UHI0eXpGd0ltejBjaWJuNnBVcDQ4cGljeUFmaWF1SDdUZXc0UE5PNXcvNjQwP3d4X2ZtdD1qcGVnJmFtcDt0cD13ZWJwJmFtcDt3eGZyb209NSZhbXA7d3hfbGF6eT0x.jpg"><br />在数据库日常管理过程中，有些威胁来自数据库外部，而有些威胁则来自数据库内部，对于数据库外部，破坏性的操作有rm，而在数据库内部，同样有破坏性操作，如Truncate。</p>
<p>案例分享<br />
<hr>
<br />误删除数据表</p>
<p>原来接手一个部门的所有数据库，结果漏了一个，也没人告诉我，所以我不知道这个数据库存在。一天一个程序人员误按了一个按钮，把大量的数据全部删除，找到我后，发现数据库没有归档，也没有任何备份。结果是程序人员补了几天的数据，我的奖金也直接泡汤。</p>
<p>误删除用户</p>
<p>刚从事DBA不久，可已经犯了个让我终生难忘的错误。原本是要将测试环境的一个user给删掉，由于桌面上开了多个窗口，结果drop user XXX cascade，直接将正式环境的一个user给drop了，刚按下enter，就感觉怪怪的，心想不会吧！！已经来不急了，还好这个user的信息是从另外一台服务器上同步过来的，要不然死定了。以后做什么动作我都习惯先看看是在哪个DB上那个服务器上，千万别搞错了。</p>
<p>误删除表数据</p>
<p>以前公司，有一个程序员写好的脚本，一个实施人员去执行，脚本里面带了 delete * from xxx; commit; 啥备份，归档都没有。结果我们公司全部人员出动，抱着笔记本，台式机，去北京某区县所有的机关单位上门录了一星期人员信息。至今记忆犹新。</p>
<p>误删除数据表</p>
<p>测试环境导出的腳本中包含drop語句，結果看都沒看就直接在生產環境中做了，一下子物料表就沒了，整个生产停线，后来做了恢复，丢了半天的数据。教训：执行的脚本一定要认真检查。</p>
<p>防范建议<br />
<hr>
<br />1.通过触发器约束或禁用特定的DDL操作</p>
<p>对于TRUNCATE等高风险的数据库DDL操作，可以考虑通过触发器进行禁用，防止未授权的操作损害数据。 很多轻忽的数据灾难都来自于Truncate，这个类似于系统级别的rm命令极具破坏性，而且DDL不可以回退，即便发现已经为时过晚。所以我们建议用户可以考虑使用DDL触发器来禁用Truncate之类的危险操作，以达到安全防范的目的。</p>
<p>2.以最小权限原则进行授权</p>
<p>过度授权即是为数据库埋下安全隐患，在进行用户授权时一定要遵循最小权限授予原则，避免因为过度授权而带来的安全风险。</p>
<p>3.明确用户职责</p>
<p>应当明确不同的数据库用户能够用于的工作范围，应当使用普通用户身份的，就绝对不应该使用DBA的用户身份，只有职权相称，才能够避免错误。 即便是拥有管理员职责的用户，也应当遵循以不同身份执行不同任务的习惯，比如SYS和SYSTEM用户的使用就应当进行区分和界定。</p>
<p>4.在任何数据破坏之前进行备份</p>
<p>在进行数据表的截断、删除之前，进行备份，将备份养成一种习惯，这样才能够避免误操作之后的措手不及。</p>
<p>5.以重命名代替删除操作</p>
<p>不论操作系统级别还是数据库级别的删除操作，尽量以重命名替代删除，如重命名数据表，重命名数据文件，然后通过一段时间的观察和确认后再彻底删除。 Oracle10g中引入的回收站功能，就是将我们执行的DROP操作变更为重命名进行保护，当我们发现了失误之后，可以通过回收站找回，但是注意回收站保存对象的时间和空间有关，如果存储空间不足，对象会被自动释放。 我们在管理中借鉴这个回收站思想是很有帮助的。</p>
<p>6.尽量争取充足的时间</p>
<p>不要低估任何一次简单的维护操作，因为一个意外就可能大幅延长你的维护时间。所以，应当尽量争取充足的时间，包括做好充足的准备工作，加快无关紧要步骤的执行，减少不必要的时间消耗，时间越充裕，你用来应对可能出现的故障的时间就越多。</p>
<p>7.审核你的剪贴板</p>
<p>很多错误是由于粘贴剪贴板的内容引起的，所以，当你准备向一个窗口或者命令行粘贴你看不到的内容时，提高你的警惕性。在Windows上，有很多剪贴板增强工具，可以帮助我们记录和展现剪贴板的内容，可以考虑选用。 审核你的剪贴板，确保其中的内容是你期望的。</p>
<p>8.没有认真看过的脚本就绝不要执行</p>
<p>对于DBA来说，如果一个脚本你从来没有认真读取了解过，就不要去执行，脚本中的一个错误就可能导致严重的数据灾难。我们遇到过案例，由于脚本中的一个变量错误，导致所有数据文件被删除，教训惨痛。 如果实在无法审核脚本的内容，那么在进行重要操作之前，备份你的数据。</p>
<p><em>以上内容摘录自盖国强《OracleDBA手记4数据安全警示录》。</em></p>
<p><i><u><br /></u></i></p>
<p>文章转自数据和云公众号，<a href="https://mp.weixin.qq.com/s?__biz=MjM5MDAxOTk2MQ==&amp;mid=402375886&amp;idx=1&amp;sn=96a1dc80d71523a2605cdb4e585caf2d&amp;scene=19#wechat_redirect" rel="external nofollow noreferrer">原文链接</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 11:09:33</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%ac/" title="脚本">脚本</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ae%89%e5%85%a8/" title="数据安全">数据安全</a>, <a href="https://www.iamivan.net/tag/dba/" title="DBA">DBA</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>DBA生存警示：防范频发的数据误删除操作的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5RQdDz.html" rel="bookmark">DBA生存警示：主备环境误操作案例及防范建议</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编辑手记:对于资深的老DBA们,他们在漫长的职业生涯中养成了很多稀奇古怪的守则,以在复杂多变的环境中&quot;幸存&quot;,这源于无数血泪的教训,我曾经在&lt;数据安全警示录&gt;一书收录了大量现实案例,现在整理分享给大家,共为警示. 在数据库日常管理过程中,有些威胁来自数据库外部,而有些威胁则来自数据库内部,对于数据库外部,破坏性的操作有rm,而在数据库内部,同样有破坏性操作,如Truncate. 案例分享 ￼生产与测试环境错误 开了两个PL/SQL DEVELOPE窗口,一个生产的,￼￼￼一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNn18WM.html" rel="bookmark">DBA生存警示：系统级误删除案例及防范建议</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编辑手记:对于资深的老DBA们,他们在漫长的职业生涯中养成了很多稀奇古怪的守则,以在复杂多变的环境中&quot;幸存&quot;,这源于无数血泪的教训,我曾经在&lt;数据安全警示录&gt;一书收录了大量现实案例,现在整理分享给大家,共为警示. 案例分享 误删除Oracle软件 硬件维护人员删除归档日志的时候,把节点2的整个ORACLE_HOME都删除了.在删除的时候没有注意到目录改变了,还键盘做了一个向上的动作,刚好就是刚刚使用的 rm -rf *,然后一个下意识的动作回车就这么按下去了. 空格导致的误			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Qvo6p.html" rel="bookmark">DBA生存警示：保护现场不要让事情更糟</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				张乐奕 云和恩墨副总经理 Oracle ACE 总监 ITPUB Oracle数据库管理版版主.Oracle高可用版版主.ACOUG联合创始人 今天收到一个发过来请求帮助的 case,Oracle 数据库无法启动,请求帮助恢复.仔细阅读了发过来的告警日志,这是一个典型的&quot;事情越弄越糟&quot;的案例. 作为一个专业的DBA,在遇到问题时,一定要思考:如何保护现场,不让事情变得更糟.这是基本要求,保护现场以使得其他人接手工作时,可以从原有状态开始. 以下就来根据告警日志,一条一条地回顾这位 DB			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M60BkJz.html" rel="bookmark">DBA生存指南：以严谨防范事故</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				每逢假期,我们总会接收到很多数据库故障救急请求,因此我甚至经常发出以前的一个总结:警惕数据库假期综合症,呼吁大家提高警惕,防范疏忽下发生的故障和问题. 在这个元旦假期中,我们同样收到了很多的紧急援助请求,这其中大多是熟悉的问题,包括: 数据库回滚段问题导致的ORA-01555错误: SYSTEM表空间坏块导致的BootStrap失败,2662错误: 误删除导致的数据丢失: 空间不足导致的归档挂起: 阳光之下,并无新事,这些问题大都是我们以前曾经面对过的,很多专家已经写过了很多案例,如果大家对类似			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0PyZ6M.html" rel="bookmark">数据操纵语言中数据的操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  --表数据的操作 --输入数据 select * from 学生 --说明 :用在insert与表名之间的into是一个可选关键字 insert into 学生 (学号,姓名,性别,年龄,专业) values ('003','杨丽','女',18,'计科') insert into 学生 (学号,姓名,性别,年龄,专业) values ('004','杨丽','女',18,'计科') delete 学生 where 学号 = '004' alter table 学生 add constrai			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/badw0Pz.html" rel="bookmark">json操作-怎么获取json数据及操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 怎么获取json数据及操作 var PacsData = [ { &quot;Path&quot;: [&quot;F:1231debugData979372PACS100126725274152DX_e3b0eb90f7fdf110052b16bfb046a76363ee787eb18278c105de27bc786cbc9a5667f7507dde0a9b5ad0097523b20b48_007332_000001.dcm.icon.jpg&quot;, &quot;F:1231debugD			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgV3kZb.html" rel="bookmark">c&plus;&plus;-为什么说C不能很好的实现数据与操作的分离</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 为什么说C不能很好的实现数据与操作的分离 今天看钱能的教材是,第一章里的第二页中,有写到,程序中的数据与分离不能很好的被C实现了? 解决方案 这主要是说,C不支持面向对象,不能像C++那样定义类,把数据和对应的操作封装成独立的实体. 在C语言中,所有的数据和函数都混合在一起. 但是注意,这个是从语法层面来说的.从设计层面说,你同样可以将数据和操作分离,编写良好风格的C代码,只是你需要更多的代码和更多的注意.你可以人肉去实现面向对象的代码. 相反,用C++也不意味着你一定能做到数据和操作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZQKAb.html" rel="bookmark">ci-CI框架中对数据的操作有问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 CI框架中对数据的操作有问题 我向下寻找报错的493行字段为 $data = $this-&gt;daoModel-&gt;salver_db-&gt;get($tableNamePix);,提示的错误为表中没有这个字段我是知道的,我想知道再往下我想修改sql语句去哪里看代码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQr4ArM.html" rel="bookmark">急！C&plus;&plus;文件的中的数据的操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 急!C++文件的中的数据的操作 txt文件中有下列几行数据:33663 333 33313254 664 89721346 666 888我的目标是根据第一列元素的特征来选择整行元素,将他们赋到一个类中进行操作,这个应该怎么实现(不要太过纠结上面的数据) 想了快一下午了没有个结果,求大神帮帮忙!! 解决方案 C++基础:数据文件操作 解决方案二: 循环遍历,然后判断你所谓的特征.http://blog.chinaunix.net/uid-20564678-id-3424272.html			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdlKdp.html" rel="bookmark" class="title">GOLIVE5&period;0教程（二十三）</a>
					<div>
						教程 3.2 应用关联文字尺寸 如前所述,在GoLive 5中设计Web页面时,可以将关联尺寸应用于文本并与Web浏览器的参数设置相对应.上一节仅讲述了如何设置默认的关联尺寸,该设置将应用于前面操作时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRY8Gb.html" rel="bookmark" class="title">Photoshop给外景美女加上通透的蜜糖色</a>
					<div>
						作者调色思路非常不错,先在Lab模式下把人物调红润,然后用计算等得到高光选区,并把高光部分调亮一点,再配上合适的背景,这样肤色就会通透很多. 原图 最终效果 [1] [2] [3]  下一页					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMymVEM.html" rel="bookmark" class="title">SQL中两台服务器间使用连接服务器</a>
					<div>
						服务器   1:执行另一服务器上的存储过程 exec OPENDATASOURCE(         'SQLOLEDB',         'Data Source=远程ip;User ID=sa; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAyJAM.html" rel="bookmark" class="title">導入導出大全&lpar;2004-12-13&rpar;</a>
					<div>
						導入導出大全(2004-12-13) http://builderman.home.sunbo.net/show_hdr.php?xname=U53DTV0&amp;dname=517DTV0&amp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaNqJM.html" rel="bookmark" class="title">PHP攻击网站防御代码-以及攻击代码反译</a>
					<div>
						这是我无意中攻击一个网站发现的一个代码PHP有效的拦截住我的DDOS  &lt;?php   //查询禁止IP   $ip =$_SERVER['REMOTE_ADDR'];   $fileht=&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M04Z6M.html" rel="bookmark" class="title">解决ASP&period;NET的进程帐户没有访问 IIS的权限</a>
					<div>
						asp.net|iis|访问|解决|进程 解决ASP.NET 的进程帐户没有访问 IIS的权限 IIS下,访问asp页面出现错误: 访问 IIS 元数据库失败 &quot;用于运行 ASP.NET 的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1LQob.html" rel="bookmark" class="title">Oracle Tuning的一些总结</a>
					<div>
						oracle     关于Oracle的性能调整,一般包括两个方面,一是指Oracle数据库本身的调整,比如SGA.PGA的优化设置,二是连接Oracle的应用程序以及SQL语句的优化.做好这两个方面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqewOM.html" rel="bookmark" class="title">PHP程序常见漏洞攻击宝典</a>
					<div>
						程序|攻击 [全局变量] PHP中的变量不需要事先声明,它们会在第一次使用时自动创建,它们的类型也不需要指定,它们会根据上下文环境自动确定.从程序员的角度来看,这无疑是一种极其方便的处理方法.很显然, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0borwjz.html" rel="bookmark" class="title">利用流水线改进代码中的if处理流程</a>
					<div>
						本文用到的编程语言为C#,具体思路不限制编程语言. 刚才正在浏览http://ruby-china.org/topics/7384的时候,看到5楼的回复,突然有一种想法,不知道优劣,请大家帮忙评判一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKYg5M.html" rel="bookmark" class="title">WPS Office2012个性界面随便换</a>
					<div>
						近期,金山办公软件正式对外发布了WPS Office 2012办公软件.该新品秉承了WPS一贯轻巧灵快.安装便捷的特点,深度兼容微软Office.WPS Office 2012采用的Win7风格的时尚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7e5WM.html" rel="bookmark" class="title">删除自定义镜像</a>
					<div>
						阿里云如何删除自定义镜像 如果不再需要某个自定义镜像,您可以将其删除.为保证可以删除成功,请确认当前没有使用该自定义镜像创建的 ECS 实例. 操作如下: 登录 云服务器管理控制台. 单击左侧导航中的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK8Zxp.html" rel="bookmark" class="title">jQuery 屏蔽单个元素使用户无法点击</a>
					<div>
						 &lt;!DOCTYPE html&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head&gt; &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw9Akb.html" rel="bookmark" class="title">怎样安装u启动win7PE系统维护工具箱到电脑本地系统盘？</a>
					<div>
						  首先接着上述所说的完成安装到电脑里面以后运行了主程序,打开主程序有两种模式(选择安装位置)可供大家选择:(如下图所示) ①电脑本地系统盘; ②移动磁盘(u盘); 现在我们点击勾选&quot;电脑本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E6q8M.html" rel="bookmark" class="title">win7怎么配置iis</a>
					<div>
						  最近在淘宝中买一个程序,本程序是ASP个人博客源码,后台带有30套模板,模板也是挺美观的,以至于在淘宝的销售量排在第一.但是有个问题就是如果要是想本地测试程序的话那就必须要在iis环境下才能够正常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwL4Wmb.html" rel="bookmark" class="title">win7怎么升级win10？</a>
					<div>
						  win7升级win10教程很多朋友想要知道,那么win7怎么升级win10呢?能不能直接升级?如果你是Windows7用户并且想要体验最新系统的话可以来了解一下. 现在有外媒消息称,部分Win7用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywXLvz.html" rel="bookmark" class="title">用PC刻录MacOS系统光盘的方法</a>
					<div>
						  用PC刻录苹果电脑MacOS系统光盘的方法很多,例如最新版的UltraISO可以把DMG转换成ISO,然后就可以直接刻盘了. TransMac 也可以直接刻录DMG格式的文件.下面介绍一个不用第三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXQOjp.html" rel="bookmark" class="title">震精 - 数据库还能这样玩 - 三十六计 （下）</a>
					<div>
						PostgreSQL 三十六计 - 下 25. 数据库端编程,处理复杂业务逻辑. 在传统企业.电商.运营商等涉及用户交互.或者多个系统交互的业务场景中,通常一个事务涉及到很复杂的业务逻辑,需要保证数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8k6wZM.html" rel="bookmark" class="title">大数据钱景可观  因噎废食大可不必</a>
					<div>
						在世界杯预测时准确率超高的百度大数据预测在稳步推进时遇到了一个小障碍,尚处于内测的票房预测对&lt;黄金时代&gt;的预测与实际结果出现了偏差,被媒体长篇报道引发业内高度关注,笔者一直在观察大数据预测 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAPeaM.html" rel="bookmark" class="title">请问mysql如何导入该数据</a>
					<div>
						问题描述 小弟刚学mysql,就遇到了大麻烦,网上的帖子也给得不够详细,一直无法导入数据,急啊困难如下:现有一文件,名字:dir.des.scop.txt ,小弟不知道如何导入进mysql中.希望高手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAYDAM.html" rel="bookmark" class="title">android 4 0-【急】android焦点问题，在线等！先跪谢大神了</a>
					<div>
						问题描述 [急]android焦点问题,在线等!先跪谢大神了 现在焦点位置处于,音效设置的音效模式按钮上,当我按下遥控器的右键之后,如何让设置页面的&quot;我的应用&quot;获取到焦点?现在的情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKnmAz.html" rel="bookmark" class="title">2017年会成为比WiFi快10倍的&OpenCurlyDoubleQuote;WiGig技术&rdquo;元年吗？</a>
					<div>
						据说Wi-Fi联盟已开始认证支持WiGig这个超快速Wi-Fi标准的智能机.笔记本.路由器等设备,2017年有望成为WiGig技术元年. WiGig?听起来挺陌生,WiGig技术还在去年1月份大火过一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmB7aqz.html" rel="bookmark" class="title">被&OpenCurlyDoubleQuote;黑化&rdquo;的智能家居，你怕吗？</a>
					<div>
						智能家居作为当今时代的领军产业,在提升人们生活质量的同时,为无数产业提供更多的机遇.然而如果本应为生活带来便捷舒适的东西,变成一场灾难,我们该怎么办?您还会用吗? &lt;华尔街日报&gt;网络版发表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyo96z.html" rel="bookmark" class="title">干货 &vert; 亚洲区块链协会会长张寿松：区块链的发展动态</a>
					<div>
						嘉宾|张寿松 编辑|IT大咖说 张寿松,区块链技术专家,DACA亚洲区块链协会会长,中国通信工业协会区块链专业委员会副主任,比特币交易网BtcTrade董事长,区块宝创始人.  注:本文由IT大咖说整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZaAkb.html" rel="bookmark" class="title">js 连接标题提示信息</a>
					<div>
						http://www.111cn.net/js_a/javascript-s/fdsahttp://www.111cn.net/js_a/javascript-s/fdsafa tips 透明背景tp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0Qljz.html" rel="bookmark" class="title">头戴Haswell光环神U 至强E3-1230LV3测评</a>
					<div>
						[天极网服务器频道12月17日消息]随着全新架构的http://www.aliyun.com/zixun/aggregation/33871.html&quot;&gt;Haswell处理器登场,DI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmkdRp.html" rel="bookmark" class="title">学习JavaScript事件流和事件处理程序&lowbar;javascript技巧</a>
					<div>
						本文全篇介绍了JavaScript事件流和事件处理程序,分享给大家供大家参考,具体内容如下 一.事件流 事件流描述的是从页面中接收事件的顺序.IE的事件流是事件冒泡流,而Netscape Commun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkRYQz.html" rel="bookmark" class="title">&period;net2003上传文件怎样设置［急］</a>
					<div>
						问题描述 .net2003有HtmlInputFile控件吗?我找了好久都没找到啊!!那要怎么设置才能上传啊?? 解决方案 解决方案二:兄弟们帮帮忙啊---					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YdBJb.html" rel="bookmark" class="title">请问一下，我上传视频截图问题，有可能是服务器配置的事</a>
					<div>
						问题描述 同样的AVI文件我在本地调试的时候,可以把图片截取下来我放在服务器上,同样的AVI却不可以把图片截取下来(服务器建在本机上)(有的AVI可以在服务器上截取,有的却不能)1.问题出在哪儿呢?2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqARwb.html" rel="bookmark" class="title">为企业提供日历API合并，Cronofy 获得种子轮160万美元融资</a>
					<div>
						英国一家专注于日历 API 开发的技术公司 Cronofy近期宣布,获得由 Firestartr 和 henQ 共同投资的种子轮融资,金额为 160 万美元. 不过和一般专注于 C 端的时间管理工具不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YKNqp.html" rel="bookmark" class="title">百度与奇虎比拼安全搜索  人工干预杀猫不屠老虎</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 最近依然是百度与奇虎360的重头戏,由于奇虎360不断的抢占市场,尤其是安全搜索市场.让百度不得不做出一个调整,那就是升级用户体验,让百度展现的网站,都 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
